wxWidgets: wxPersistentTreeBookCtrl Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPersistentTreeBookCtrl Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/persist/treebook.h>`

Inheritance diagram for wxPersistentTreeBookCtrl:
[legend]

## Detailed Description

Persistence adapter for wxTreebook.

This adapter saves and restores the expanded branches of the wxTreeCtrl used by wxTreebook, in addition to saving and restoring the selection as implemented by the base wxPersistentBookCtrl class.

## Public Member Functions
| wxPersistentTreeBookCtrl (wxTreebook *book)
| Constructor.
virtual void | Save () const
| Save the currently opened branches.
virtual bool | Restore ()
| Restore the opened branches.
Public Member Functions inherited from wxPersistentBookCtrl
| wxPersistentBookCtrl (wxBookCtrlBase *book)
| Constructor.
Public Member Functions inherited from wxPersistentWindow< wxBookCtrlBase >
| wxPersistentWindow (WindowType *win)
| Constructor for a persistent window object.
WindowType * | Get () const
virtual wxString | GetName () const
| Implements the base class pure virtual method using wxWindow::GetName().
Public Member Functions inherited from wxPersistentObject
| wxPersistentObject (void *obj)
| Constructor takes the object which we're associated with.
virtual | ~wxPersistentObject ()
| Trivial but virtual destructor.
virtual wxString | GetKind () const =0
| Returns the string uniquely identifying the objects supported by this adapter.
void * | GetObject () const
| Return the associated object.

## Additional Inherited Members
Public Types inherited from wxPersistentWindow< wxBookCtrlBase >
typedef wxBookCtrlBase | WindowType
| The type of the associated window.
template<typename T>
bool | SaveValue (const wxString &name, T value) const
| Save the specified value using the given name.
template<typename T>
bool | RestoreValue (const wxString &name, T *value)
| Restore a value saved by SaveValue().

## Constructor & Destructor Documentation

## ◆ wxPersistentTreeBookCtrl()

wxPersistentTreeBookCtrl::wxPersistentTreeBookCtrl | ( | wxTreebook * | book | ) |

Constructor.

Parameters

  book | The associated tree book control.

## Member Function Documentation

## ◆ Restore()

virtual bool wxPersistentTreeBookCtrl::Restore | ( |  | ) |
| virtual

Restore the opened branches.

The book control must be initialized before calling this function, i.e. all of its pages should be already added to it.

Reimplemented from wxPersistentBookCtrl.

## ◆ Save()

virtual void wxPersistentTreeBookCtrl::Save | ( |  | ) | const
| virtual

Save the currently opened branches.

Reimplemented from wxPersistentBookCtrl.